#ifndef FMC_EVENTHEADER_H
#define FMC_EVENTHEADER_H

#include <TROOT.h>

#include "fmcTypes.h"

class fmcEventHeader
{
private:
    fmcDouble fB;
    fmcInt    fNparts;
    fmcDouble fPsi;
public:

    fmcEventHeader();
    virtual ~fmcEventHeader();

    // Setters
    virtual void SetB(fmcDouble b) { fB = b; }
    virtual void SetNparts(fmcInt Np) { fNparts = Np; }
    virtual void SetPhi(fmcDouble psi) { fPsi = psi; }

    // Getters
    fmcDouble GetB() { return fB; }
    fmcDouble GetPhi() { return fPsi; }
    fmcInt    GetNparts() { return fNparts; }

    ClassDef(fmcEventHeader,0);
};

#endif