#include <iostream>
#include <vector>
#include "fmcTypes.h"


namespace fmc{
    const fmcDouble refMultSTAREtaCut = 0.5;
    const std::pair<fmcDouble,fmcDouble> refMultRXNEtaCut = {3.1,4.};
    const std::pair<fmcDouble,fmcDouble> refMultFHCalEtaCut = {2.,5.};
    const fmcDouble TpcEtaCut = 1.;
    const fmcInt    nTpcEtaGaps = 3;
    const std::vector<fmcDouble> TpcEtaGap = {0.05,0.1,0.25};
    const fmcDouble ptMinCut = 0.15;
    const fmcDouble ptMaxCutEP = 2.;
    const fmcShort  nSpecies = 12; // 0 - h+-, 1 - pions, 2 - kaons, 3 - (anti)protons, 
                                   // 4 - h+,  5 - pi+,   6 - pi-,   7 - protons,
                                   // 8 - h-,  9 - pi-,  10 - pi+,  11 - antiprotons.
}
